Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ee.ut.ga.model
Class PWM

    java.lang.Object
      ee.ut.ga.model.PWM

All Implemented Interfaces:
  java.lang.Comparable

public class PWM
extends java.lang.Object
implements java.lang.Comparable

Position-WeightMatrix object. Comparable by fitness function quality.

Field Summary
`private int` | `dataBad`
`private int` | `dataBadAll`
`private int` | `dataGood`
`private int` | `dataGoodAll`
`private java.math.BigDecimal` | `fitness`
`private int` | `length`
`static org.apache.log4j.Logger` | `log`
`private java.util.Map` | `pam`
`private java.lang.String` | `pattern`
`private java.util.Map` | `pwm`
`private double` | `weightThreshold`

Constructor Summary
`PWM(java.util.Map pam, java.util.Map priors)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`private java.lang.String` | `constructPwmProps()` Construct the string of properties to write it into log-file and the last solution.
`int` | `getDataBad()`
`int` | `getDataBadAll()`
`int` | `getDataGood()`
`int` | `getDataGoodAll()`
`java.math.BigDecimal` | `getFitness()`
`int` | `getLength()`
`java.util.Map` | `getPam()`
`java.lang.String` | `getPattern()`
`java.util.Map` | `getPwm()`
`double` | `getWeightThreshold()`
`void` | `setDataBad(int dataBad)`
`void` | `setDataBadAll(int dataBadAll)`
`void` | `setDataGood(int dataGood)`
`void` | `setDataGoodAll(int dataGoodAll)`
`void` | `setFitness(java.math.BigDecimal fitness)`
`void` | `setPwmProps(java.lang.String propsString)` Reads and writes properties into object.
`void` | `setWeightThreshold(double weightThreshold)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    public static org.apache.log4j.Logger log

### pam

    private java.util.Map pam

### pwm

    private java.util.Map pwm

### pattern

    private java.lang.String pattern

### fitness

    private java.math.BigDecimal fitness

### length

    private int length

### dataGoodAll

    private int dataGoodAll

### dataGood

    private int dataGood

### dataBadAll

    private int dataBadAll

### dataBad

    private int dataBad

### weightThreshold

    private double weightThreshold

Constructor Detail

### PWM

    public PWM(java.util.Map pam,
               java.util.Map priors)
        throws java.lang.Exception

Method Detail

### getDataBad

    public int getDataBad()

### setDataBad

    public void setDataBad(int dataBad)

### getDataBadAll

    public int getDataBadAll()

### setDataBadAll

    public void setDataBadAll(int dataBadAll)

### getDataGood

    public int getDataGood()

### setDataGood

    public void setDataGood(int dataGood)

### getDataGoodAll

    public int getDataGoodAll()

### setDataGoodAll

    public void setDataGoodAll(int dataGoodAll)

### getWeightThreshold

    public double getWeightThreshold()

### setWeightThreshold

    public void setWeightThreshold(double weightThreshold)

### setFitness

    public void setFitness(java.math.BigDecimal fitness)

### getPattern

    public java.lang.String getPattern()

### getLength

    public int getLength()

### getPam

    public java.util.Map getPam()

### getPwm

    public java.util.Map getPwm()

### getFitness

    public java.math.BigDecimal getFitness()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### toString

    public java.lang.String toString()

### constructPwmProps

    private java.lang.String constructPwmProps()

  Construct the string of properties to write it into log-file and the last solution.

### setPwmProps

    public void setPwmProps(java.lang.String propsString)

  Reads and writes properties into object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD